com.taosdata.jdbc.utils

## Class BlobUtil

- java.lang.Object
- - com.taosdata.jdbc.utils.BlobUtil

    public class BlobUtil
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static byte[]` `getBytes(Blob blob)`
`static byte[]` `getFromInputStream(InputStream inputStream)`
`static byte[]` `getFromInputStream(InputStream inputStream, long length)`
`static List<byte[]>` `getListBytes(List<Blob> blobList)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getBytes

    public static byte[] getBytes(Blob blob)
                           throws SQLException

Throws:
  `SQLException`

#### getFromInputStream

    public static byte[] getFromInputStream(InputStream inputStream,
                                            long length)
                                     throws SQLException

Throws:
  `SQLException`

#### getFromInputStream

    public static byte[] getFromInputStream(InputStream inputStream)
                                     throws SQLException

Throws:
  `SQLException`

#### getListBytes

    public static List<byte[]> getListBytes(List<Blob> blobList)
                                     throws SQLException

Throws:
  `SQLException`